=== debian/changelog ===
python-pyftpdlib (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use standard-asynchat rather than pyasynchat.
  * Tolerate psutil < 6.0.0.
  * Switch to autopkgtest-pkg-pybuild.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.
  * Simplify some debhelper overrides slightly.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 20:39:10 +0000

python-pyftpdlib (1.5.9-2) unstable; urgency=medium

  * Team upload.
  * remove obsolete mock dependency

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Mar 2024 16:59:10 +0100
