=== debian/control ===
Source: python-pyftpdlib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-openssl,
               python3-psutil,
               python3-pyasyncore,
               python3-pytest,
               python3-pytest-xdist,
               python3-setuptools,
	       python3-sphinx,
	       python3-sphinx-rtd-theme,
               python3-standard-asynchat,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://github.com/giampaolo/pyftpdlib/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyftpdlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyftpdlib
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyftpdlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python FTP server library (Python 3)
 Python FTP server library provides a high-level portable interface to
 easily write asynchronous FTP servers with Python.
 .
 pyftpdlib is currently the most complete RFC-959 FTP server
 implementation available for Python programming language. It is used
 in projects like Google Chromium and Bazaar.
 .
 This package provides the Python 3.x module.

Package: python-pyftpdlib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
	${misc:Depends},
	${sphinxdoc:Depends}
Description: documentation for Python FTP server library
 Python FTP server library provides a high-level portable interface to
 easily write asynchronous FTP servers with Python.
 .
 pyftpdlib is currently the most complete RFC-959 FTP server
 implementation available for Python programming language. It is used
 in projects like Google Chromium and Bazaar.
 .
 This package provides the documentation.
