=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyftpdlib
export PYBUILD_TEST_ARGS=-k 'not test_functional and not test_functional_ssl' {dir}/pyftpdlib/test

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_python3:
	rm -f ./debian/python3-pyftpdlib/usr/bin/ftpbench
	rm -rf ./debian/python3-pyftpdlib/usr/lib/python3/dist-packages/pyftpdlib/test/

execute_after_dh_auto_build:
	( cd docs; \
	  PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -M html . _build )
