## python-pyftpdlib 2.1.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # To use a specific Python version run:
 # 	$ make install PYTHON=python3.7
 # To run a specific test:
-# 	$ make test ARGS="-v -s pyftpdlib/test/test_functional.py::TestIPv6MixedEnvironment::test_port_v4"
+# 	$ make test ARGS="-v -s tests/test_functional.py::TestIPv6MixedEnvironment::test_port_v4"
 
 # Configurable
 PYTHON = python3
@@ -11,9 +11,7 @@
 # In not in a virtualenv, add --user options for install commands.
 SETUP_INSTALL_ARGS = `$(PYTHON) -c \
 	"import sys; print('' if hasattr(sys, 'real_prefix') or hasattr(sys, 'base_prefix') and sys.base_prefix != sys.prefix else '--user')"`
-PYTHON_ENV_VARS = PYTHONWARNINGS=always PYTHONUNBUFFERED=1
-PYTEST_ARGS = -v -s --tb=short
-NUM_WORKERS = `$(PYTHON) -c "import os; print(os.cpu_count() or 1)"`
+PYTHON_ENV_VARS = PYTHONWARNINGS=always PYTHONUNBUFFERED=1 PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
 PIP_INSTALL_ARGS = --trusted-host files.pythonhosted.org --trusted-host pypi.org --upgrade
 
 # if make is invoked with no arg, default to `make help`
@@ -25,8 +23,6 @@
 # ===================================================================
 # Install
 # ===================================================================
-
-all: test
 
 clean:  ## Remove all build files.
 	@rm -rfv `find . \
@@ -87,38 +83,38 @@
 # ===================================================================
 
 test:  ## Run all tests. To run a specific test: do "make test ARGS=pyftpdlib.test.test_functional.TestFtpStoreData"
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS)
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS)
 
 test-parallel:  ## Run all tests in parallel.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) -n auto --dist loadgroup $(ARGS)
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest -n auto --dist loadgroup $(ARGS)
 
 test-functional:  ## Run functional FTP tests.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_functional.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_functional.py
 
 test-functional-ssl:  ## Run functional FTPS tests.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_functional_ssl.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_functional_ssl.py
 
 test-servers:  ## Run tests for FTPServer and its subclasses.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_servers.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_servers.py
 
 test-authorizers:  ## Run tests for authorizers.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_authorizers.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_authorizers.py
 
 test-filesystems:  ## Run filesystem tests.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_filesystems.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_filesystems.py
 
 test-ioloop:  ## Run IOLoop tests.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_ioloop.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_ioloop.py
 
 test-cli:  ## Run miscellaneous tests.
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) $(ARGS) pyftpdlib/test/test_cli.py
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(ARGS) tests/test_cli.py
 
 test-lastfailed:  ## Run previously failed tests
-	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest $(PYTEST_ARGS) --last-failed $(ARGS)
+	$(PYTHON_ENV_VARS) $(PYTHON) -m pytest --last-failed $(ARGS)
 
 test-coverage:  ## Run test coverage.
 	rm -rf .coverage htmlcov
-	$(PYTHON_ENV_VARS) $(PYTHON) -m coverage run -m pytest $(PYTEST_ARGS) $(ARGS)
+	$(PYTHON_ENV_VARS) $(PYTHON) -m coverage run -m pytest $(ARGS)
 	$(PYTHON) -m coverage report
 	@echo "writing results to htmlcov/index.html"
 	$(PYTHON) -m coverage html
@@ -135,7 +131,7 @@
 	@git ls-files '*.py' | xargs $(PYTHON) -m ruff check --output-format=concise
 
 _pylint:  ## Python pylint (not mandatory, just run it from time to time)
-	@git ls-files '*.py' | xargs $(PYTHON) -m pylint --rcfile=pyproject.toml --jobs=${NUM_WORKERS}
+	@git ls-files '*.py' | xargs $(PYTHON) -m pylint --rcfile=pyproject.toml --jobs=0 $(ARGS)
 
 lint-rst:  ## Run RsT linter.
 	@git ls-files '*.rst' | xargs rstcheck --config=pyproject.toml
@@ -200,7 +196,7 @@
 	$(PYTHON) scripts/internal/generate_manifest.py > MANIFEST.in
 
 git-tag-release:  ## Git-tag a new release.
-	git tag -a release-`python3 -c "import setup; print(setup.VERSION)"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
+	git tag -a release-`$(PYTHON) -c "import pyftpdlib; print(pyftpdlib.__ver__)"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
 	git push --follow-tags
 
 print-announce:  ## Print announce of new release.
