=== debian/changelog ===
python-pyftpdlib (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch to tolerate psutil < 6.0.0, since Debian now has a new enough
    version.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Sep 2025 19:44:05 +0100
