=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-psutil,
                python3-pyasyncore,
                python3-pytest,
+               python3-pytest-instafail,
                python3-pytest-xdist,
                python3-setuptools,
 	       python3-sphinx,
