=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/python-pyftpdlib_$1.tar.gz/" \
  https://github.com/giampaolo/pyftpdlib/tags .*/release-?(\d\S*)\.tar\.gz
